Skip to navigation

Get Mixture by ID

Beta
Get a single Mixture by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

mixture_idstringRequired
ID of the Mixture.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
authorsstring or nullOptionalformat: "uri"
creatorobject or nullOptional
aliaseslist of strings or nullOptional
allowMeasuredIngredientsboolean or nullOptional
Derived from the mixture's schema.
amountstring or nullOptional

The positive numerical amount value of this mixture in string format (to preserve full precision). Pair with units. Supports scientific notation (1.23e4).

archiveReasonstring or nullOptional
archivedbooleanOptional
createdAtstring or nullOptional
customFieldslist of objects or nullOptional
entityRegistryIdstring or nullOptional

The registry-assigned identifier for this item (e.g. its registry ID shown in the UI), present only once the item has been registered. Null if the item is not registered.

folderobject or nullOptional
idstringOptional
ingredientslist of objects or nullOptional
List of ingredients on this mixture.
modifiedAtstring or nullOptional
namestring or nullOptional
Name of the item.
projectobject or nullOptional
registrationOriginobject or nullOptional

Provenance of this item’s registration — where and when it was registered. Null if unregistered.

registryobject or nullOptional
The Registry this item belongs to, if registered. Null if unregistered.
schemaobject or nullOptional

Use typedSchema instead, which returns the per-type schema.

typedSchemaobject or nullOptional
unitsenum or nullOptional

Errors

400
Mixture Get Request Bad Request Error
403
Mixture Get Request Forbidden Error
404
Mixture Get Request Not Found Error
429
Mixture Get Request Too Many Requests Error
500
Mixture Get Request Internal Server Error